Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds max-specpdl-size

From: Robert Weiner <[email-masked]>
Date: Mon, 12 Aug 2019 22:28:10 -0400

I meant:

Where is man-show defined?  I don't have it in Emacs 27.  I am using the
same Emacs version as you but under MacOS.

On Mon, Aug 12, 2019 at 10:11 PM Robert Weiner <[email-masked]> wrote:

> On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <[email-masked]> wrote:
>
>> I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
>> toolkit, Xaw3d scroll bars)
>>
>>         Hyperbole:   7.0.3a
>>         Sys Type:    x86_64-pc-linux-gnu
>>         OS Type:     gnu/linux
>>         Window Sys:  x
>>         News Reader: Gnus v5.13
>>
>> Making completion list...
>>
>
> Not sure where that is coming from above.
>
>> <(Read)> executes (man-show "grep")
>
>
> Invoking man grep in the background
>> if: Variable binding depth exceeds max-specpdl-sizeUnable to load color
>> "unspecified-bg"
>> Unable to load color "unspecified-fg"
>> car: Variable binding depth exceeds max-specpdl-size
>> next-line: End of buffer
>>
>> Seems like you have loaded something outside of Hyperbole that has caused
> an infinite loop, maybe improperly overloading a standard man function.
>
> Try starting with no initializations and then loading Hyperbole manually.
>
> Bob
>